Skip to main content
POST
/
products
/
recalculate
Product Recalculate
curl --request POST \
  --url https://api-v2.production.higg.org/pic-api/v1/products/recalculate \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-developer-request-token: <api-key>' \
  --data '
{
  "productId": [
    "<string>"
  ]
}
'
import requests

url = "https://api-v2.production.higg.org/pic-api/v1/products/recalculate"

payload = { "productId": ["<string>"] }
headers = {
"x-api-key": "<api-key>",
"x-developer-request-token": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-developer-request-token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({productId: ['<string>']})
};

fetch('https://api-v2.production.higg.org/pic-api/v1/products/recalculate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "successIds": [
    "<string>"
  ],
  "failureIds": [
    "<string>"
  ]
}
Use this endpoint to recalculate the impacts associated with one or more products from your PIC product library.

Request body params

NameTypeDescription
productIdArray<string>[REQUIRED] List of product IDs to recalculate.

Implementation Details

  • Asynchronous/Batch Processing: The system processes these recalculations in chunks (e.g., batch size of 50).
  • Up-to-Date Check: The logic checks if the underlying MSI product (if linked) has been updated or deleted. If the MSI product is deleted, the product is marked as up-to-date to skip recalculation.
  • Response: Returns { successIds: string[], failureIds: string[] }.

Authorizations

x-api-key
string
header
required
x-developer-request-token
string
header
required

Body

application/json
productId
string[]
required

Response

200 - application/json

Ok

successIds
string[]
required
failureIds
string[]
required